Updating NOTA

I previously installed the wk20 version of NOTA. However, at that point I did not have the sense to document what I did to get it working.. So now I am trying to update to wk22 version and to document my failures.

Lets start with the basics for dummies like me

-downloaded all packages from http://www.notaworld.org/downloads/nota_core

-first tried with Ubuntu desktop to doubleclick the .gz packages. This opened them and I dragged the contents of all packages to a dir “nota-22”. This seemed to work fine but for some reason all the directories moved showed with a green background in terminal. Probably something smart for some Ubuntu user who knows what they are doing. I have no idea, I am just a Windows click-a-lot so I removed all and went the old command line way..

-moved .gz files to new dir nota-22

-“gunzip *” to unzip all packages

-“tar xf <filename>” one at a time, since “tar xf *” gives error about the packages themselves (the files * matches) not being found in an archive. Why that is I have no idea, so the dummy extracts one tar at a time then..

Now all the files are extracted. So a look at the website to see what do I need to do to install it..

There are instructions to build the whole stack on the website so I follow this. The “How to set up NOTA” in the HOW TO section of the wiki. First time I tried it, I managed to read the docs to the point of “for all packages follow the steps to configure, compile, etc”. Back then I tried to build the resourcemanager first, failing miserably of course because it depends on earlier builds of l_in and h_in, which were not there yet. So this time I follow the instructions and build L_IN first, then H_IN, and so on since they depend on each other and need to be built in this order.

cd libnota-l-in…

./autogen.sh

First error: autoheader not found.. So type “autoheader” to get error that I need to install package “autoconf” with “sudo apt-get install autoconf”. After installing, same for “libtoolize”.

After installing everything autogen finally passes.

Ooh, now it tells me to run “make” to compile l_in. But lets follow the website instructions and run “./configure” first

now “make” like the script says, and as the website says.. which runs ok

Then “make install” as the website says.. Which gives errors since the script does not have permissions to access “/usr/local/lib/…”, so I tried “sudo make install” which seems to pass..

Same process for h_in, stubgen and rm packages, all of which pass.

Now to try it out.. There are lots of strange things on the website about configuring the manager daemon. However, there is an example of “one daemon” on a “single pc”. So lets try that one. It says to run the nota daemon as “nota-ind -m”. Now whatever is “-m” for? Maybe someday I will find out.. And where is “nota-ind”? After browsing around it is is “h_in/daemon”. Then the instructions tell to run “dump_datacheck_sn” (server node I guess) and “dump_datacheck_an” (application node I guess). And where are these? Again, browse around to find them at “h_in/test”. Would be nice to say where they are in the docs wouldn’t it..

Well, these work so it seems the update has been a success.. Though I am sure later it all will crap out.

2 thoughts on “Updating NOTA

  1. just a note to myself. with ubuntu 9.10 and wk42 nota this did not work. the autogen.sh was looking for automake version 1.9 or 1.10. I had version 1.11 installed and it was too new.. SO I had to change the autogen.sh script to add 1.11 to the list of allowed versions after which it worked fine. similarly “libtoolize” is actually “libtool” but maybe i just blogged this wrong previously..

  2. and one more time.. this time to run the examples. it did not find the l_in shared library this time. so after plenty of wondering i find that it does get installed but in /usr/local/lib and ubuntu does not by default look in here.
    so to solve this i had to do “sudo emacs -nw /etc/ld.so.conf” and add there the line “/usr/local/lib” then do “sudo ldconfig”. ooh im so great. the list of dirs in so.conf is space, table, comma or whatever separated.

Leave a Reply to funkymonkey Cancel reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s